<?php
/**
 *
 * @category        snippets
 * @package         globalBlocks
 * @author          Ruud Eisinga - http://www.dev4me.nl/modules-snippets/opensource/globalblocks-snippet/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.7.x
 * @version         1.1
 * @lastmodified    Date: 2012-03-07
 *
 */
/* -------------------------------------------------------- */

// Must include code to stop this file being accessed directly
if(!defined('WB_PATH')) {
		die('Access denied!!');
}

function globalBlock($sid = NULL, $include_frontend_css_js = true, $buffer = false, $only_on_pages = NULL) {
	global $database, $wb, $admin, $MESSAGE, $TEXT;
	$global_content = $buffer ? '' : false;

	if (!$sid) // No sectionId provided, exit this function
		return $global_content;

	if (isset($only_on_pages)) { //check if there are limitations for displaying the globalBlock
		if ( is_array($only_on_pages) ) {
			if (!in_array(PAGE_ID,$only_on_pages)) {
				return $global_content;
			}
		} elseif (!stripos($only_on_pages,',') === false) {
			$array_only_on_pages = explode(',',$only_on_pages);
			if (!in_array(PAGE_ID,$array_only_on_pages)) {
				return $global_content;
			}
		} elseif ($only_on_pages != PAGE_ID) {
			return $global_content;
		}
	}
		
	$query_sec = $database->query("SELECT `section_id`,`module`, `publ_start`, `publ_end` FROM `".TABLE_PREFIX."sections` WHERE `section_id` = '$sid' ");
	if($query_sec->numRows() > 0) { 
		$section = $query_sec->fetchRow(); 
		$section_id = $section['section_id']; 
		$module = $section['module']; 
		$now = time();
		if( !(($now <= $section['publ_end'] || $section['publ_end']==0) && ($now >= $section['publ_start'] || $section['publ_start']==0)) ) {
			return $global_content;
		}
		$global_content = '';
		if ($include_frontend_css_js) {
			if (file_exists(WB_PATH.'/modules/'.$module.'/frontend.css')) {
				$global_content .= '<link href="'.WB_URL.'/modules/'.$module.'/frontend.css" rel="stylesheet" type="text/css" media="screen" />'."\n";
			}
			if (file_exists(WB_PATH.'/modules/'.$module.'/frontend.js')) {
				$global_content .= '<script src="'.WB_URL.'/modules/'.$module.'/frontend.js" type="text/javascript"></script>'."\n";
			}
			if (file_exists(WB_PATH.'/modules/'.$module.'/frontend_body.js')) {
	    		$global_content .= '<script src="'.WB_URL.'/modules/'.$module.'/frontend_body.js" type="text/javascript"></script>'."\n";
			}
		}
		ob_start();
		require(WB_PATH.'/modules/'.$module.'/view.php'); 
		$global_content .= ob_get_contents();
		ob_end_clean();
		$wb->preprocess($global_content);
	} 
	if (!$buffer) {
		echo $global_content;
	} else {
		return $global_content;
	}
}

?>
